Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: martin rudalics <[email-masked]>
Date: Mon, 03 Mar 2014 20:43:25 +0100

>>  > So it seems that with the code after 2013-12-14 a nil value has
 >>  > the same effect as a non-nil value (?).
 >>
 >> No.  The only difference is that the default value has changed.
 >
 > I meant wrt this latest reported problem.  Neither t nor nil fixes that.

That seems to contradict my guess.

 >> But you could make sure that (1) the bug is here with 2013-12-14 when
 >> you set `w32-enable-frame-resize-hack' to t and (2) the bug is not here
 >> with 2013-12-16 when you set `w32-enable-frame-resize-hack' to nil
 >
 > Not sure what you mean. Which bug, the thumbnail frame problem or the
 > current problem?  Please clarify what you would like me to try/test.

The current mode line problem.  Please try once more.  If setting this
variable doesn't change anything, it can't be the cause and we have to
look elsewhere.

 >> BTW: Does Info still display a header line when the mode line is lost?
 >
 > Yes.

Strange.

martin